/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.controller.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.servlet.view.RedirectView;

/**
 * Handles exceptions for the Web frontend.
 * @author BEAUVAIS ANTOINE
 */
@ControllerAdvice
public class WebExceptionHandler {
    
    /**
     * Handler for redirections.
     * @param ex the thrown exception that triggered the redirection.
     * @param request Spring Request Servlet.
     * @param response Spring Response Servlet.
     * @return the Spring RedirectView.
     */
    @ExceptionHandler(WebMovedPermanentlyException.class)
    public RedirectView handleMovedPermanently(Exception ex,
            HttpServletRequest request, HttpServletResponse response) {
        return new RedirectView(ex.getMessage(), false, true, false);
    }
    
}
