package fr.unistra.sil.erp.back.repository;

import fr.unistra.sil.erp.back.model.Item;

import java.util.List;

public interface IItemsRepository {

    /**
     * Returns the list of all items.
     * @return the list of all items, or null if an error occurred.
     */
    List<Item> getAllItems();

    /**
     * Returns the list of all items for a given category.
     * @param category the category's identifier.
     * @return the list of items, or null if an error occurred.
     */
    List<Item> getItemsFromCategory(int category);
}
